Name:		nordugrid-release
Version:	6
Release:	1%{?dist}
Summary:	NorduGrid repository configuration

Group:		System Environment/Base
License:	ASL 2.0
URL:		http://www.nordugrid.org/
Source0:	nordugrid.repo.in
Source1:	nordugrid-updates.repo.in
Source2:	nordugrid-testing.repo.in
Source3:	https://download.nordugrid.org/RPM-GPG-KEY-nordugrid-%{version}
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	yum
%if %{?rhel}%{!?rhel:0}
Requires:	redhat-release
Requires:	epel-release
%else
Requires:	fedora-release
%endif

%description
The NorduGrid repository contains the Advanced Resource Connector (ARC)
middleware.

%prep
# nothing to do

%build
# nothing to do

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
for src in %{SOURCE0} %{SOURCE1} %{SOURCE2}
do
  sed "s/@arcrelease@/%{version}/g" < $src > $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/`basename $src .in`
done
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg

%if %{?rhel}%{!?rhel:0}
sed 's!fedora/$releasever!centos/el%{rhel}!' \
    -i $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/*.repo
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/yum.repos.d/nordugrid*repo
%config(noreplace) %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-nordugrid-%{version}

%changelog
* Thu Jun 06 2019 Anders Waananen <waananen@nbi.dk> - 6-1
- Release 6

* Wed Mar 20 2019 Anders Waananen <waananen@nbi.dk> - 6-0.rc1
- Release 6 candidate 1
- Be more explicit about filenames of installed files.
- Add suffix .in to repofile templates.
- Add ARC release version to GPG key filename.

* Sun Mar 17 2019 Anders Waananen <waananen@nbi.dk> - 6-0.2
- Release 6 test 2
- Change signing key

* Wed Mar 06 2019 Anders Waananen <waananen@nbi.dk> - 6-0.1
- Release 6 test 1
- Switch repos to https

* Sat Mar 28 2015 Anders Waananen <waananen@nbi.dk> - 15.03-1
- Release 15.03

* Thu Nov 28 2013 Anders Waananen <waananen@nbi.dk> - 13.11-1
- Release 13.11

* Thu Apr 11 2013 Anders Waananen <waananen@nbi.dk> - 13.02-1
- Release 13.02
- Use the repo files as templates and take the release field from the package Version
- Use centos instead of redhat

* Wed May 30 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 12.05-1
- Release 12.05

* Tue May 10 2011 Mattias Ellert <mattias.ellert@fysast.uu.se> - 11.05-1
- Release 11.05

* Fri Nov 05 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.0-1
- Initial packaging
